Custom Domains

GET https://biolink.page/api/domains/available
curl --request GET \
--url 'https://biolink.page/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
search Optional String Text to search for.
search_by Optional String The field to search in. Allowed values: host.
datetime_field Optional String Allowed values: datetime, last_datetime
datetime_start Optional String Only results from this date and time on. Y-m-d H:i:s format.
datetime_end Optional String Only results up to this date and time. Y-m-d H:i:s format.
order_by Optional String The field to sort by. Allowed values: domain_id, datetime, last_datetime, host.
order_type Optional String Sort direction. ASC for ascending, DESC for descending.
page Optional Integer The page of results you want. Defaults to 1.
results_per_page Optional Integer How many results per page. Allowed values: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": 1,
            "scheme": "Example",
            "host": "Example",
            "url": "https://example.com/",
            "custom_index_url": "https://example.com/",
            "custom_not_found_url": "https://example.com/",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-09-25 23:58:37"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://biolink.page/api/domains/available?page=1",
        "last": "https://biolink.page/api/domains/available?page=1",
        "next": null,
        "prev": null,
        "self": "https://biolink.page/api/domains/available?page=1"
    }
}
GET https://biolink.page/api/domains/
curl --request GET \
--url 'https://biolink.page/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
search Optional String Text to search for.
search_by Optional String The field to search in. Allowed values: host.
is_enabled Optional Boolean
datetime_field Optional String Allowed values: datetime, last_datetime
datetime_start Optional String Only results from this date and time on. Y-m-d H:i:s format.
datetime_end Optional String Only results up to this date and time. Y-m-d H:i:s format.
order_by Optional String The field to sort by. Allowed values: domain_id, datetime, last_datetime, host.
order_type Optional String Sort direction. ASC for ascending, DESC for descending.
page Optional Integer The page of results you want. Defaults to 1.
results_per_page Optional Integer How many results per page. Allowed values: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "scheme": "Example",
            "host": "Example",
            "custom_index_url": "https://example.com/",
            "custom_not_found_url": "https://example.com/",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-09-25 23:58:37"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://biolink.page/api/domains?page=1",
        "last": "https://biolink.page/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://biolink.page/api/domains?page=1"
    }
}
GET https://biolink.page/api/domains/{domain_id}
curl --request GET \
--url 'https://biolink.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-25 23:58:37"
    }
}
POST https://biolink.page/api/domains
Parameters Details Description
host Required String -
custom_index_url Optional String -
custom_not_found_url Optional String -
scheme Optional String -
curl --request POST \
--url 'https://biolink.page/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-25 23:58:37"
    }
}
POST https://biolink.page/api/domains/{domain_id}
Parameters Details Description
host Optional String -
custom_index_url Optional String -
custom_not_found_url Optional String -
scheme Optional String -
curl --request POST \
--url 'https://biolink.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-25 23:58:37"
    }
}
DELETE https://biolink.page/api/domains/{domain_id}
curl --request DELETE \
--url 'https://biolink.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \